<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisaConfirmModify StructType
 * @subpackage Structs
 */
class VisaConfirmModify extends AbstractStructBase
{
    /**
     * The VisaConfirmModifyRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaConfirmModify
     */
    public $VisaConfirmModifyRQ;
    /**
     * Constructor method for VisaConfirmModify
     * @uses VisaConfirmModify::setVisaConfirmModifyRQ()
     * @param \StructType\JP_VisaConfirmModify $visaConfirmModifyRQ
     */
    public function __construct(\StructType\JP_VisaConfirmModify $visaConfirmModifyRQ = null)
    {
        $this
            ->setVisaConfirmModifyRQ($visaConfirmModifyRQ);
    }
    /**
     * Get VisaConfirmModifyRQ value
     * @return \StructType\JP_VisaConfirmModify|null
     */
    public function getVisaConfirmModifyRQ()
    {
        return $this->VisaConfirmModifyRQ;
    }
    /**
     * Set VisaConfirmModifyRQ value
     * @param \StructType\JP_VisaConfirmModify $visaConfirmModifyRQ
     * @return \StructType\VisaConfirmModify
     */
    public function setVisaConfirmModifyRQ(\StructType\JP_VisaConfirmModify $visaConfirmModifyRQ = null)
    {
        $this->VisaConfirmModifyRQ = $visaConfirmModifyRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VisaConfirmModify
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
